      subroutine showea (nob, nof, agent)

      character*6 agent

c display epicentre records from ffb files at level 1
c modified version to handle centisecs and -ve magnitudes

      include 'basics.inc'

      include 'hold.inc'

      character*80 line
      character*48 regnam
      character*22 exptim              !changed from 19
      character*1 contin
      
      character*2 recs2
      character*7 recs7
      character*8 recs8
      character*4 recs4
      character*6 recs6
      character*21 recs21
      character*1 recs1
      character*16 recs16

c      line(:28) = agent//exptim(recs(nob)(5:20))
c      if (recs(nob)(26:26) .eq. 'A') line(6:6) = '*'
c      rlat = 0.0001*float(itchk(recs(nob)(27:33)))
c      rlon = 0.0001*float(itchk(recs(nob)(36:43)))
      
      line(:28) = agent//exptim(recs16(nob,5,20))
      if (recs1(nob,26,26) .eq. 'A') line(6:6) = '*'
      rlat = 0.0001*float(itchk(recs7(nob,27,33)))
      rlon = 0.0001*float(itchk(recs8(nob,36,43)))      
      
      
      write (line(29:42), '(f6.2,f8.2)') abs(rlat), abs(rlon)
      line(35:35) = 'N'
      if (rlat .lt. 0.) line(35:35) = 'S'
      line(43:58) = 'E'
      if (rlon .lt. 0.) line(43:58) = 'W'
      
c      if (recs(nob)(50:51) .ne. '99') then
c        idepth = itch(recs(nob)(46:49), ier)
        
      if (recs2(nob,50,51) .ne. '99') then
        idepth = itch(recs4(nob,46,49), ier)
                
        if (ier .ne. 4) then
        
c          print *, 'Showea: bad depth in'//recs(nob)(46:51)
          
          print *, 'Showea: bad depth in'//recs6(nob,46,51)
          
          call caryon (' Continue', contin)
        else
          depth = 0.1*float(idepth)
          write (line(44:47), '(i4)') nint(depth)
        end if
      end if
      
c 17/2/03 - changed to inhibit -ve magnitudes
      
c      if ( index( recs(nob)(52:55), '-') .eq. 0 ) then       
c         call showmg (recs(nob)(52:72), line(49:53))         
c      end if
      
      if ( index( recs4(nob,52,55), '-') .eq. 0 ) then       
         call showmg (recs21(nob,52,72), line(49:53))         
      end if

c      if (nof .gt. nob .and. recs(nob)(3:4) .eq. ' 2') then      
c           if ( index( recs(nof)(11:14), '-') .eq. 0 ) then         
c                    call showmg (recs(nof)(11:31), line(54:58))                    
c           end if                    
c       end if
     
c      line(59:) = recs(nob)(80:83)
c      noreg = itch(recs(nob)(73:76), ier)
      
      if (nof .gt. nob .and. recs2(nob,3,4) .eq. ' 2') then      
           if ( index( recs4(nof,11,14), '-') .eq. 0 ) then         
                    call showmg (recs21(nof,11,31), line(54:58))                    
           end if                    
       end if
     
      line(59:) = recs4(nob,80,83)
      noreg = itch(recs4(nob,73,76), ier)
      
      
      if (ier .eq. 4) then
        call fegnam (noreg, regnam, lenreg)
        lenlin = 63                         ! changed from 60
        call words (mout, regnam(:lenreg), line, lenlin, 63)
      end if
      call putout (mout, line(:len_trim(line)))
      return
      end
